package com.aucma.dms.mapper;

import com.aucma.dms.domain.DmsDispatchMember;

import java.util.List;

/**
 * 派工成员明细Mapper接口
 *
 * @author Cascade AI
 * @date 2025-01-10
 */
public interface DmsDispatchMemberMapper {
    
    /**
     * 查询派工成员明细
     *
     * @param memberId 派工成员明细主键
     * @return 派工成员明细
     */
    DmsDispatchMember selectDmsDispatchMemberByMemberId(Long memberId);

    /**
     * 查询派工成员明细列表
     *
     * @param dmsDispatchMember 派工成员明细
     * @return 派工成员明细集合
     */
    List<DmsDispatchMember> selectDmsDispatchMemberList(DmsDispatchMember dmsDispatchMember);

    /**
     * 新增派工成员明细
     *
     * @param dmsDispatchMember 派工成员明细
     * @return 结果
     */
    int insertDmsDispatchMember(DmsDispatchMember dmsDispatchMember);

    /**
     * 修改派工成员明细
     *
     * @param dmsDispatchMember 派工成员明细
     * @return 结果
     */
    int updateDmsDispatchMember(DmsDispatchMember dmsDispatchMember);

    /**
     * 删除派工成员明细
     *
     * @param memberId 派工成员明细主键
     * @return 结果
     */
    int deleteDmsDispatchMemberByMemberId(Long memberId);

    /**
     * 批量删除派工成员明细
     *
     * @param memberIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDmsDispatchMemberByMemberIds(Long[] memberIds);

    /**
     * 根据派工计划ID删除成员
     *
     * @param planId 派工计划ID
     * @return 结果
     */
    int deleteDmsDispatchMemberByPlanId(Long planId);
}
